KDE 4.9 PyKDE API Reference

- KDE's Python API

# HTMLLIElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

List item. See the <a href="http://www.w3.org/TR/REC-html40/struct/lists.html#edef-LI"> LI element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLLIElement other)
| __init__ (self, DOM.Node other)
| setType (self, DOM.DOMString a0)
| setValue (self, long a0)
DOM.DOMString | type (self)
long | value (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLLIElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

setType | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see type

setValue | ( | self, |
|  | long | a0
| ) |  |  |

see value

DOM.DOMString type | ( |  | self ) |

List item bullet style. See the <a href="http://www.w3.org/TR/REC-html40/struct/lists.html#adef-type-LI"> type attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

long value | ( |  | self ) |

Reset sequence number when used in OL See the <a href="http://www.w3.org/TR/REC-html40/struct/lists.html#adef-value-LI"> value attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.